Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002353TestLinkCustom fieldspublic2009-04-08 03:582010-01-13 21:43
Reporteraostad 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.1 
Fixed in Version1.8.3 
Summary0002353: An unassigned Custom Feild can not be deleted
DescriptionI unassigned a CF_ESTIMATED_EXEC_TIME custom feild then tried to delete it but couldn't. I still get the message:

"You can neither delete, either change type because a value has been assigned to this custom field by user on an test specification or execution"
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserIE7/FireFox
PHP Version5
TestCaseID
QA Team - Task Workflow Status
Attached Filesjpg file icon Unassigned_CF_Cant_be_deleted.jpg [^] (77,138 bytes) 2009-04-08 03:58

- Relationships

-  Notes
(0006533)
aostad (reporter)
2009-04-23 00:24

I just tried the demo version (1.7.3) and I could delete even an assigned CF successfully, however, in In 1.8.1 even an unassigned CF cant be deleted.
(0006534)
fman (administrator)
2009-04-23 00:32

@aostad:
We know problem exists on 1.8.1, and we will work to solve it, but we can not give you a precise date for release.
In any case this bug IMHO is a minor one.
(0006538)
aostad (reporter)
2009-04-23 01:06

Current experience regarding this issue:
Once you type anything in CF field a value is assigned to the field, so it can't be deleted. That makes sense. But it is expected to be able to remove/delete the CF after removing all characters you type into the CF. I tried it again today. I could delete both asigned and unassigned CF as long as nothing entered into the field. After typing some character and saving it I openthe test cases for editing again and removed whatever was typed then save it. After that I could not delete CF anymore.

Cheers,
Ali
(0006539)
amitkhullar (reporter)
2009-04-23 01:26

IMHO this is basic referential integrity... should work this way. you should be though able to unassign the CF from the Project and add a new one.

If you want you can rename the old CF and name the new one as the OLD CF name for keeping it same.

Amit
(0006643)
aostad (reporter)
2009-04-27 21:58

Hi Amit,
As I understood, you're saying a defined CF, which is assigned and used at least once, can not be deleted by "Delete" button ever. In taht case, the "Delete" option is not doing much and should be removed to not raise any question in user mind.

I still believe users shall be able to delete an unwanted CF, otherwise after a while, there would be a huge number of defined CF sitting there uselessly.

- Issue History
Date Modified Username Field Change
2009-04-08 03:58 aostad New Issue
2009-04-08 03:58 aostad File Added: Unassigned_CF_Cant_be_deleted.jpg
2009-04-08 03:58 aostad Browser => IE7/FireFox
2009-04-08 03:58 aostad PHP Version => 5
2009-04-08 16:22 fman Status new => assigned
2009-04-08 16:22 fman Assigned To => fman
2009-04-23 00:24 aostad Note Added: 0006533
2009-04-23 00:32 fman Note Added: 0006534
2009-04-23 01:06 aostad Note Added: 0006538
2009-04-23 01:26 amitkhullar Note Added: 0006539
2009-04-27 21:58 aostad Note Added: 0006643
2009-05-03 23:45 fman Status assigned => resolved
2009-05-03 23:45 fman Fixed in Version => 1.8.3 (bug fixing)
2009-05-03 23:45 fman Resolution open => fixed
2010-01-13 21:43 mhavlat Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker